diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-spectrum-value-helper.h ns-3.44/src/lte/model/lte-spectrum-value-helper.h
--- ns-3.43/src/lte/model/lte-spectrum-value-helper.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-spectrum-value-helper.h	2025-03-09 16:55:49.603371900 -0700
@@ -9,7 +9,7 @@
 #ifndef LTE_SPECTRUM_VALUE_HELPER_H
 #define LTE_SPECTRUM_VALUE_HELPER_H
 
-#include <ns3/spectrum-value.h>
+#include "ns3/spectrum-value.h"
 
 #include <map>
 #include <vector>
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
- * \brief This class defines all functions to create spectrum model for lte
+ * @brief This class defines all functions to create spectrum model for lte
  */
 class LteSpectrumValueHelper
 {
@@ -30,27 +30,27 @@
      * Radio Frequency Channel Number (EARFCN) according to 3GPP TS
      * 36.101 section 5.7.3 "Carrier frequency and EARFCN".
      *
-     * \param earfcn the EARFCN
+     * @param earfcn the EARFCN
      *
-     * \return the carrier frequency in Hz
+     * @return the carrier frequency in Hz
      */
     static double GetCarrierFrequency(uint32_t earfcn);
 
     /**
      * Converts downlink EARFCN to corresponding LTE frequency band number.
      *
-     * \param nDl the EARFCN
+     * @param nDl the EARFCN
      *
-     * \return the downlink carrier band
+     * @return the downlink carrier band
      */
     static uint16_t GetDownlinkCarrierBand(uint32_t nDl);
 
     /**
      * Converts uplink EARFCN to corresponding LTE frequency band number.
      *
-     * \param nUl the EARFCN
+     * @param nUl the EARFCN
      *
-     * \return the uplink carrier band
+     * @return the uplink carrier band
      */
     static uint16_t GetUplinkCarrierBand(uint32_t nUl);
 
@@ -59,9 +59,9 @@
      * Radio Frequency Channel Number (EARFCN) using the formula in 3GPP TS
      * 36.101 section 5.7.3 "Carrier frequency and EARFCN".
      *
-     * \param earfcn the EARFCN
+     * @param earfcn the EARFCN
      *
-     * \return the downlink carrier frequency in Hz
+     * @return the downlink carrier frequency in Hz
      */
     static double GetDownlinkCarrierFrequency(uint32_t earfcn);
 
@@ -70,30 +70,30 @@
      * Radio Frequency Channel Number (EARFCN) using the formula in 3GPP TS
      * 36.101 section 5.7.3 "Carrier frequency and EARFCN".
      *
-     * \param earfcn the EARFCN
+     * @param earfcn the EARFCN
      *
-     * \return the uplink carrier frequency in Hz
+     * @return the uplink carrier frequency in Hz
      */
     static double GetUplinkCarrierFrequency(uint32_t earfcn);
 
     /**
      *
      *
-     * \param txBandwidthConf the transmission bandwidth
+     * @param txBandwidthConf the transmission bandwidth
      * configuration in number of resource blocks
      *
-     * \return the nominal channel bandwidth in Hz as per 3GPP TS 36.101
+     * @return the nominal channel bandwidth in Hz as per 3GPP TS 36.101
      */
     static double GetChannelBandwidth(uint16_t txBandwidthConf);
 
     /**
      *
-     * \param earfcn the carrier frequency (EARFCN) at which reception
+     * @param earfcn the carrier frequency (EARFCN) at which reception
      * is made
-     * \param bandwidth the Transmission Bandwidth Configuration in
+     * @param bandwidth the Transmission Bandwidth Configuration in
      * number of resource blocks
      *
-     * \return the static SpectrumModel instance corresponding to the
+     * @return the static SpectrumModel instance corresponding to the
      * given carrier frequency and transmission bandwidth
      * configuration. If such SpectrumModel does not exist, it is
      * created.
@@ -105,13 +105,13 @@
      * density of a signal to be transmitted. See 3GPP TS 36.101 for
      * a definition of most of the parameters described here.
      *
-     * \param earfcn the carrier frequency (EARFCN) of the transmission
-     * \param bandwidth the Transmission Bandwidth Configuration in
+     * @param earfcn the carrier frequency (EARFCN) of the transmission
+     * @param bandwidth the Transmission Bandwidth Configuration in
      * number of resource blocks
-     * \param powerTx the total power in dBm over the whole bandwidth
-     * \param activeRbs the list of Active Resource Blocks (PRBs)
+     * @param powerTx the total power in dBm over the whole bandwidth
+     * @param activeRbs the list of Active Resource Blocks (PRBs)
      *
-     * \return a pointer to a newly allocated SpectrumValue representing the TX Power Spectral
+     * @return a pointer to a newly allocated SpectrumValue representing the TX Power Spectral
      * Density in W/Hz for each Resource Block
      */
     static Ptr<SpectrumValue> CreateTxPowerSpectralDensity(uint32_t earfcn,
@@ -124,16 +124,16 @@
      * density of a signal to be transmitted. See 3GPP TS 36.101 for
      * a definition of most of the parameters described here.
      *
-     * \param earfcn the carrier frequency (EARFCN) of the transmission
-     * \param bandwidth the Transmission Bandwidth Configuration in
+     * @param earfcn the carrier frequency (EARFCN) of the transmission
+     * @param bandwidth the Transmission Bandwidth Configuration in
      * number of resource blocks
-     * \param powerTx the total power in dBm over the whole bandwidth
-     * \param powerTxMap the map of power in dBm for each RB,
+     * @param powerTx the total power in dBm over the whole bandwidth
+     * @param powerTxMap the map of power in dBm for each RB,
      * if map contain power for RB, powerTx is not used for this RB,
      * otherwise powerTx is set for this RB
-     * \param activeRbs the list of Active Resource Blocks (PRBs)
+     * @param activeRbs the list of Active Resource Blocks (PRBs)
      *
-     * \return a pointer to a newly allocated SpectrumValue representing the TX Power Spectral
+     * @return a pointer to a newly allocated SpectrumValue representing the TX Power Spectral
      * Density in W/Hz for each Resource Block
      */
     static Ptr<SpectrumValue> CreateTxPowerSpectralDensity(uint32_t earfcn,
@@ -148,13 +148,13 @@
      * a definition of most of the parameters described here.
      * This function splits the power over the active RBs instead of
      * the entire bandwidth
-     * \param earfcn the carrier frequency (EARFCN) of the transmission
-     * \param bandwidth the Transmission Bandwidth Configuration in
+     * @param earfcn the carrier frequency (EARFCN) of the transmission
+     * @param bandwidth the Transmission Bandwidth Configuration in
      * number of resource blocks
-     * \param powerTx the total power in dBm over the whole bandwidth
-     * \param activeRbs the list of Active Resource Blocks (PRBs)
+     * @param powerTx the total power in dBm over the whole bandwidth
+     * @param activeRbs the list of Active Resource Blocks (PRBs)
      *
-     * \return a pointer to a newly allocated SpectrumValue representing the TX Power Spectral
+     * @return a pointer to a newly allocated SpectrumValue representing the TX Power Spectral
      * Density in W/Hz for each Resource Block
      */
     static Ptr<SpectrumValue> CreateUlTxPowerSpectralDensity(uint16_t earfcn,
@@ -165,13 +165,13 @@
     /**
      * create a SpectrumValue that models the power spectral density of AWGN
      *
-     * \param earfcn the carrier frequency (EARFCN) at which reception
+     * @param earfcn the carrier frequency (EARFCN) at which reception
      * is made
-     * \param bandwidth the Transmission Bandwidth Configuration in
+     * @param bandwidth the Transmission Bandwidth Configuration in
      * number of resource blocks
-     * \param noiseFigure the noise figure in dB w.r.t. a reference temperature of 290K
+     * @param noiseFigure the noise figure in dB w.r.t. a reference temperature of 290K
      *
-     * \return a pointer to a newly allocated SpectrumValue representing the noise Power Spectral
+     * @return a pointer to a newly allocated SpectrumValue representing the noise Power Spectral
      * Density in W/Hz for each Resource Block
      */
     static Ptr<SpectrumValue> CreateNoisePowerSpectralDensity(uint32_t earfcn,
@@ -181,10 +181,10 @@
     /**
      *  create a SpectrumValue that models the power spectral density of AWGN
      *
-     * \param noiseFigure  the noise figure in dB  w.r.t. a reference temperature of 290K
-     * \param spectrumModel the SpectrumModel instance to be used
+     * @param noiseFigure  the noise figure in dB  w.r.t. a reference temperature of 290K
+     * @param spectrumModel the SpectrumModel instance to be used
      *
-     * \return a pointer to a newly allocated SpectrumValue representing the noise Power Spectral
+     * @return a pointer to a newly allocated SpectrumValue representing the noise Power Spectral
      * Density in W/Hz for each Resource Block
      */
     static Ptr<SpectrumValue> CreateNoisePowerSpectralDensity(double noiseFigure,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-ccm-rrc-sap.h ns-3.44/src/lte/model/lte-ue-ccm-rrc-sap.h
--- ns-3.43/src/lte/model/lte-ue-ccm-rrc-sap.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-ccm-rrc-sap.h	2025-03-09 16:55:49.603371900 -0700
@@ -21,7 +21,7 @@
 class LteMacSapUser;
 
 /**
- * \brief Service Access Point (SAP) offered by the UE component carrier manager
+ * @brief Service Access Point (SAP) offered by the UE component carrier manager
  *  to the UE RRC.
  *
  * This is the *Component Carrier Management SAP Provider*, i.e., the part of the SAP
@@ -47,11 +47,11 @@
     /**
      * add a new Logical Channel (LC)
      *
-     * \param lcId is the Logical Channel Id
-     * \param lcConfig is a single structure contains logical Channel Id, Logical Channel config and
+     * @param lcId is the Logical Channel Id
+     * @param lcConfig is a single structure contains logical Channel Id, Logical Channel config and
      * Component Carrier Id
-     * \param msu is the pointer to LteMacSapUser related to the Rlc instance
-     * \return vector of LcsConfig contains the lc configuration for each Mac
+     * @param msu is the pointer to LteMacSapUser related to the Rlc instance
+     * @return vector of LcsConfig contains the lc configuration for each Mac
      *                the size of the vector is equal to the number of component
      *                carrier enabled.
      *
@@ -64,14 +64,14 @@
         LteMacSapUser* msu) = 0;
 
     /**
-     * \brief Remove an existing Logical Channel for a Ue in the LteUeComponentCarrierManager
-     * \param lcid the Logical Channel Id
-     * \return vector of integer the componentCarrierId of the componentCarrier
+     * @brief Remove an existing Logical Channel for a Ue in the LteUeComponentCarrierManager
+     * @param lcid the Logical Channel Id
+     * @return vector of integer the componentCarrierId of the componentCarrier
      *                where the bearer is enabled
      */
     virtual std::vector<uint16_t> RemoveLc(uint8_t lcid) = 0;
     /**
-     * \brief Reset LC maps
+     * @brief Reset LC maps
      *
      */
     virtual void Reset() = 0;
@@ -79,11 +79,11 @@
     virtual void NotifyConnectionReconfigurationMsg() = 0;
 
     /**
-     * \brief Add the Signal Bearer for a specific Ue in LteUeComponenCarrierManager
-     * \param lcid the Logical Channel Id
-     * \param lcConfig this structure it is hard-coded in the LteEnbRrc
-     * \param msu it is the MacSapUser of the Rlc instance
-     * \return the LteMacSapUser of the ComponentCarrierManager
+     * @brief Add the Signal Bearer for a specific Ue in LteUeComponenCarrierManager
+     * @param lcid the Logical Channel Id
+     * @param lcConfig this structure it is hard-coded in the LteEnbRrc
+     * @param msu it is the MacSapUser of the Rlc instance
+     * @return the LteMacSapUser of the ComponentCarrierManager
      *
      */
     virtual LteMacSapUser* ConfigureSignalBearer(
@@ -101,7 +101,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteUeCcmRrcSapProvider(C* owner);
 
@@ -169,7 +169,7 @@
 }
 
 /**
- * \brief Service Access Point (SAP) offered by the UE RRC to the UE CCM.
+ * @brief Service Access Point (SAP) offered by the UE RRC to the UE CCM.
  *
  * This is the *Component Carrier Management SAP User*, i.e., the part of the SAP
  * that contains the UE RRC methods called by the UE CCM instance.
@@ -183,13 +183,13 @@
      * this function will be used after the RRC notify to ComponentCarrierManager
      * that a reconfiguration message with Secondary component carrier (SCc) arrived or not
      * the method it is called only if the SCc wasn't set up
-     * \param componentCarrierList component carrier list
+     * @param componentCarrierList component carrier list
      */
     virtual void ComponentCarrierEnabling(std::vector<uint8_t> componentCarrierList) = 0;
     /**
-     * \brief Set the number of component carriers
+     * @brief Set the number of component carriers
      *
-     * \param noOfComponentCarriers The number of component carriers
+     * @param noOfComponentCarriers The number of component carriers
      */
     virtual void SetNumberOfComponentCarriers(uint16_t noOfComponentCarriers) = 0;
 
@@ -203,7 +203,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteUeCcmRrcSapUser(C* owner);
     // inherited from LteUeCcmRrcSapUser
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-cmac-sap.h ns-3.44/src/lte/model/lte-ue-cmac-sap.h
--- ns-3.43/src/lte/model/lte-ue-cmac-sap.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-cmac-sap.h	2025-03-09 16:55:49.603371900 -0700
@@ -9,7 +9,7 @@
 #ifndef LTE_UE_CMAC_SAP_H
 #define LTE_UE_CMAC_SAP_H
 
-#include <ns3/packet.h>
+#include "ns3/packet.h"
 
 namespace ns3
 {
@@ -39,7 +39,7 @@
     /**
      * Configure RACH function
      *
-     * \param rc the RACH config
+     * @param rc the RACH config
      */
     virtual void ConfigureRach(RachConfig rc) = 0;
 
@@ -54,9 +54,9 @@
      * tell the MAC to start a non-contention-based random access
      * procedure, e.g., as a consequence of handover
      *
-     * \param rnti
-     * \param rapId Random Access Preamble Identifier
-     * \param prachMask
+     * @param rnti
+     * @param rapId Random Access Preamble Identifier
+     * @param prachMask
      */
     virtual void StartNonContentionBasedRandomAccessProcedure(uint16_t rnti,
                                                               uint8_t rapId,
@@ -74,16 +74,16 @@
     /**
      * add a new Logical Channel (LC)
      *
-     * \param lcId the ID of the LC
-     * \param lcConfig the LC configuration provided by the RRC
-     * \param msu the corresponding LteMacSapUser
+     * @param lcId the ID of the LC
+     * @param lcConfig the LC configuration provided by the RRC
+     * @param msu the corresponding LteMacSapUser
      */
     virtual void AddLc(uint8_t lcId, LogicalChannelConfig lcConfig, LteMacSapUser* msu) = 0;
 
     /**
      * remove an existing LC
      *
-     * \param lcId
+     * @param lcId
      */
     virtual void RemoveLc(uint8_t lcId) = 0;
 
@@ -95,19 +95,19 @@
 
     /**
      *
-     * \param rnti the cell-specific UE identifier
+     * @param rnti the cell-specific UE identifier
      */
     virtual void SetRnti(uint16_t rnti) = 0;
 
     /**
-     * \brief Notify MAC about the successful RRC connection
+     * @brief Notify MAC about the successful RRC connection
      * establishment.
      */
     virtual void NotifyConnectionSuccessful() = 0;
 
     /**
-     * \brief A method call by UE RRC to communicate the IMSI to the UE MAC
-     * \param imsi the IMSI of the UE
+     * @brief A method call by UE RRC to communicate the IMSI to the UE MAC
+     * @param imsi the IMSI of the UE
      */
     virtual void SetImsi(uint64_t imsi) = 0;
 };
@@ -126,7 +126,7 @@
     /**
      *
      *
-     * \param rnti the T-C-RNTI, which will eventually become the C-RNTI after contention resolution
+     * @param rnti the T-C-RNTI, which will eventually become the C-RNTI after contention resolution
      */
     virtual void SetTemporaryCellRnti(uint16_t rnti) = 0;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-component-carrier-manager.cc ns-3.44/src/lte/model/lte-ue-component-carrier-manager.cc
--- ns-3.43/src/lte/model/lte-ue-component-carrier-manager.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-component-carrier-manager.cc	2025-03-09 16:55:49.603371900 -0700
@@ -11,7 +11,7 @@
 
 #include "lte-common.h"
 
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-component-carrier-manager.h ns-3.44/src/lte/model/lte-ue-component-carrier-manager.h
--- ns-3.43/src/lte/model/lte-ue-component-carrier-manager.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-component-carrier-manager.h	2025-03-09 16:55:49.603371900 -0700
@@ -13,7 +13,7 @@
 #include "lte-mac-sap.h"
 #include "lte-ue-ccm-rrc-sap.h"
 
-#include <ns3/object.h>
+#include "ns3/object.h"
 
 #include <map>
 #include <vector>
@@ -28,7 +28,7 @@
 class LteMacSapProvider;
 
 /**
- * \brief The abstract base class of a Component Carrier Manager* for UE
+ * @brief The abstract base class of a Component Carrier Manager* for UE
   that operates using the component carrier manager SAP interface.
  *
  */
@@ -39,44 +39,44 @@
     ~LteUeComponentCarrierManager() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Set the "user" part of the ComponentCarrier Management SAP interface
+     * @brief Set the "user" part of the ComponentCarrier Management SAP interface
      * that this UE component carrier manager will interact with.
-     * \param s a reference to the "user" part of the interface, typically a
+     * @param s a reference to the "user" part of the interface, typically a
      *          member of an LteEnbRrc instance
      */
     virtual void SetLteCcmRrcSapUser(LteUeCcmRrcSapUser* s);
 
     /**
-     * \brief Exports the "provider" part of the ComponentCarrier Management SAP interface.
-     * \return the reference to the "provider" part of the interface, typically to
+     * @brief Exports the "provider" part of the ComponentCarrier Management SAP interface.
+     * @return the reference to the "provider" part of the interface, typically to
      *         be kept by an LteUeRrc instance
      */
     virtual LteUeCcmRrcSapProvider* GetLteCcmRrcSapProvider();
 
     /**
-     * \brief Returns the MAC sap provider interface that if forwarding calls to the
+     * @brief Returns the MAC sap provider interface that if forwarding calls to the
      * instance of the LteUeComponentCarrierManager.
-     * \return the reference to the "provider" part of the interface
+     * @return the reference to the "provider" part of the interface
      */
     virtual LteMacSapProvider* GetLteMacSapProvider() = 0;
 
     /**
-     * \brief Sets a pointer to SAP interface of MAC instance for the specified carrier.
-     * \param componentCarrierId the component carrier id
-     * \param sap the pointer to the sap interface
-     * \return whether the settings of the sap provider was successful
+     * @brief Sets a pointer to SAP interface of MAC instance for the specified carrier.
+     * @param componentCarrierId the component carrier id
+     * @param sap the pointer to the sap interface
+     * @return whether the settings of the sap provider was successful
      */
     bool SetComponentCarrierMacSapProviders(uint8_t componentCarrierId, LteMacSapProvider* sap);
 
     /**
-     * \brief Sets number of component carriers that are supported by this UE.
-     * \param noOfComponentCarriers number of component carriers
+     * @brief Sets number of component carriers that are supported by this UE.
+     * @param noOfComponentCarriers number of component carriers
      */
     void SetNumberOfComponentCarriers(uint8_t noOfComponentCarriers);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-cphy-sap.h ns-3.44/src/lte/model/lte-ue-cphy-sap.h
--- ns-3.43/src/lte/model/lte-ue-cphy-sap.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-cphy-sap.h	2025-03-09 16:55:49.603371900 -0700
@@ -12,7 +12,7 @@
 
 #include "lte-rrc-sap.h"
 
-#include <ns3/ptr.h>
+#include "ns3/ptr.h"
 
 #include <stdint.h>
 
@@ -41,9 +41,9 @@
     virtual void Reset() = 0;
 
     /**
-     * \brief Tell the PHY entity to listen to PSS from surrounding cells and
+     * @brief Tell the PHY entity to listen to PSS from surrounding cells and
      *        measure the RSRP.
-     * \param dlEarfcn the downlink carrier frequency (EARFCN) to listen to
+     * @param dlEarfcn the downlink carrier frequency (EARFCN) to listen to
      *
      * This function will instruct this PHY instance to listen to the DL channel
      * over the bandwidth of 6 RB at the frequency associated with the given
@@ -56,9 +56,9 @@
     virtual void StartCellSearch(uint32_t dlEarfcn) = 0;
 
     /**
-     * \brief Tell the PHY entity to synchronize with a given eNodeB over the
+     * @brief Tell the PHY entity to synchronize with a given eNodeB over the
      *        currently active EARFCN for communication purposes.
-     * \param cellId the ID of the eNodeB to synchronize with
+     * @param cellId the ID of the eNodeB to synchronize with
      *
      * By synchronizing, the PHY will start receiving various information
      * transmitted by the eNodeB. For instance, when receiving system information,
@@ -73,10 +73,10 @@
     virtual void SynchronizeWithEnb(uint16_t cellId) = 0;
 
     /**
-     * \brief Tell the PHY entity to align to the given EARFCN and synchronize
+     * @brief Tell the PHY entity to align to the given EARFCN and synchronize
      *        with a given eNodeB for communication purposes.
-     * \param cellId the ID of the eNodeB to synchronize with
-     * \param dlEarfcn the downlink carrier frequency (EARFCN)
+     * @param cellId the ID of the eNodeB to synchronize with
+     * @param dlEarfcn the downlink carrier frequency (EARFCN)
      *
      * By synchronizing, the PHY will start receiving various information
      * transmitted by the eNodeB. For instance, when receiving system information,
@@ -91,85 +91,85 @@
     virtual void SynchronizeWithEnb(uint16_t cellId, uint32_t dlEarfcn) = 0;
 
     /**
-     * \brief Get PHY cell ID
-     * \return cell ID this PHY is synchronized to
+     * @brief Get PHY cell ID
+     * @return cell ID this PHY is synchronized to
      */
     virtual uint16_t GetCellId() = 0;
 
     /**
-     * \brief Get PHY DL EARFCN
-     * \return DL EARFCN this PHY is synchronized to
+     * @brief Get PHY DL EARFCN
+     * @return DL EARFCN this PHY is synchronized to
      */
     virtual uint32_t GetDlEarfcn() = 0;
 
     /**
-     * \param dlBandwidth the DL bandwidth in number of PRBs
+     * @param dlBandwidth the DL bandwidth in number of PRBs
      */
     virtual void SetDlBandwidth(uint16_t dlBandwidth) = 0;
 
     /**
-     * \brief Configure uplink (normally done after reception of SIB2)
+     * @brief Configure uplink (normally done after reception of SIB2)
      *
-     * \param ulEarfcn the uplink carrier frequency (EARFCN)
-     * \param ulBandwidth the UL bandwidth in number of PRBs
+     * @param ulEarfcn the uplink carrier frequency (EARFCN)
+     * @param ulBandwidth the UL bandwidth in number of PRBs
      */
     virtual void ConfigureUplink(uint32_t ulEarfcn, uint16_t ulBandwidth) = 0;
 
     /**
-     * \brief Configure referenceSignalPower
+     * @brief Configure referenceSignalPower
      *
-     * \param referenceSignalPower received from eNB in SIB2
+     * @param referenceSignalPower received from eNB in SIB2
      */
     virtual void ConfigureReferenceSignalPower(int8_t referenceSignalPower) = 0;
 
     /**
-     * \brief Set Rnti function
+     * @brief Set Rnti function
      *
-     * \param rnti the cell-specific UE identifier
+     * @param rnti the cell-specific UE identifier
      */
     virtual void SetRnti(uint16_t rnti) = 0;
 
     /**
-     * \brief Set transmission mode
+     * @brief Set transmission mode
      *
-     * \param txMode the transmissionMode of the user
+     * @param txMode the transmissionMode of the user
      */
     virtual void SetTransmissionMode(uint8_t txMode) = 0;
 
     /**
-     * \brief Set SRS configuration index
+     * @brief Set SRS configuration index
      *
-     * \param srcCi the SRS configuration index
+     * @param srcCi the SRS configuration index
      */
     virtual void SetSrsConfigurationIndex(uint16_t srcCi) = 0;
 
     /**
-     * \brief Set P_A value for UE power control
+     * @brief Set P_A value for UE power control
      *
-     * \param pa the P_A value
+     * @param pa the P_A value
      */
     virtual void SetPa(double pa) = 0;
 
     /**
-     * \brief Set RSRP filter coefficient.
+     * @brief Set RSRP filter coefficient.
      *
      * Determines the strength of smoothing effect induced by layer 3
      * filtering of RSRP used for uplink power control in all attached UE.
      * If equals to 0, no layer 3 filtering is applicable.
      *
-     * \param rsrpFilterCoefficient value.
+     * @param rsrpFilterCoefficient value.
      */
     virtual void SetRsrpFilterCoefficient(uint8_t rsrpFilterCoefficient) = 0;
 
     /**
-     * \brief Reset the PHY after radio link failure function
+     * @brief Reset the PHY after radio link failure function
      * It resets the physical layer parameters of the
      * UE after RLF.
      */
     virtual void ResetPhyAfterRlf() = 0;
 
     /**
-     * \brief Reset radio link failure parameters
+     * @brief Reset radio link failure parameters
      *
      * Upon receiving N311 in-sync indications from the UE
      * PHY the UE RRC instructs the UE PHY to reset the
@@ -178,7 +178,7 @@
     virtual void ResetRlfParams() = 0;
 
     /**
-     * \brief Start in-sync detection function
+     * @brief Start in-sync detection function
      * When T310 timer is started, it indicates that physical layer
      * problems are detected at the UE and the recovery process is
      * started by checking if the radio frames are in-sync for N311
@@ -187,8 +187,8 @@
     virtual void StartInSyncDetection() = 0;
 
     /**
-     * \brief A method call by UE RRC to communicate the IMSI to the UE PHY
-     * \param imsi the IMSI of the UE
+     * @brief A method call by UE RRC to communicate the IMSI to the UE PHY
+     * @param imsi the IMSI of the UE
      */
     virtual void SetImsi(uint64_t imsi) = 0;
 };
@@ -226,39 +226,39 @@
     };
 
     /**
-     * \brief Relay an MIB message from the PHY entity to the RRC layer.
+     * @brief Relay an MIB message from the PHY entity to the RRC layer.
      *
      * This function is typically called after PHY receives an MIB message over
      * the BCH.
      *
-     * \param cellId the ID of the eNodeB where the message originates from
-     * \param mib the Master Information Block message.
+     * @param cellId the ID of the eNodeB where the message originates from
+     * @param mib the Master Information Block message.
      */
     virtual void RecvMasterInformationBlock(uint16_t cellId,
                                             LteRrcSap::MasterInformationBlock mib) = 0;
 
     /**
-     * \brief Relay an SIB1 message from the PHY entity to the RRC layer.
+     * @brief Relay an SIB1 message from the PHY entity to the RRC layer.
      *
      * This function is typically called after PHY receives an SIB1 message over
      * the BCH.
      *
-     * \param cellId the ID of the eNodeB where the message originates from
-     * \param sib1 the System Information Block Type 1 message
+     * @param cellId the ID of the eNodeB where the message originates from
+     * @param sib1 the System Information Block Type 1 message
      */
     virtual void RecvSystemInformationBlockType1(uint16_t cellId,
                                                  LteRrcSap::SystemInformationBlockType1 sib1) = 0;
 
     /**
-     * \brief Send a report of RSRP and RSRQ values perceived from PSS by the PHY
+     * @brief Send a report of RSRP and RSRQ values perceived from PSS by the PHY
      *        entity (after applying layer-1 filtering) to the RRC layer.
      *
-     * \param params the structure containing a vector of cellId, RSRP and RSRQ
+     * @param params the structure containing a vector of cellId, RSRP and RSRQ
      */
     virtual void ReportUeMeasurements(UeMeasurementsParameters params) = 0;
 
     /**
-     * \brief Send an out of sync indication to UE RRC.
+     * @brief Send an out of sync indication to UE RRC.
      *
      * When the number of out-of-sync indications
      * are equal to N310, RRC starts the T310 timer.
@@ -266,7 +266,7 @@
     virtual void NotifyOutOfSync() = 0;
 
     /**
-     * \brief Send an in sync indication to UE RRC.
+     * @brief Send an in sync indication to UE RRC.
      *
      * When the number of in-sync indications
      * are equal to N311, RRC stops the T310 timer.
@@ -274,7 +274,7 @@
     virtual void NotifyInSync() = 0;
 
     /**
-     * \brief Reset the sync indication counter.
+     * @brief Reset the sync indication counter.
      *
      * Resets the sync indication counter of RRC if the Qin or Qout condition
      * is not fulfilled for the number of consecutive frames.
@@ -293,7 +293,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteUeCphySapProvider(C* owner);
 
@@ -467,7 +467,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteUeCphySapUser(C* owner);
 
